View Issue Details

IDProjectCategoryView StatusLast Update
0001352Сервисный центр[All Projects] Generalpublic2018-05-11 14:51
ReporterruslanAssigned Tobarry 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionreopened 
PlatformКСАП ГранитOSWindowsOS VersionXP Prof
Summary0001352: -СЦ/Склад-Разрешить редактирование накладной(короткая форма) на основании ремонта с установленной датой выдачи оборудования
DescriptionВ 1200 задаче есть камент, где я просил тебя это сделать... потом в процессе это либо забылось, либо перекрылось какими-то другими изменениями. Мы оговорили концепцию запрета редактирования - выдачей короткой формы без возможности изменить табличную часть - этого хватает для сохранения логической целостности данных. Открой редактирование после сообщения о том, что Оборудование выдано.
TagsNo tags attached.

Relationships

related to 0001200 closedbarry Конфигурация +Конфигурация-Параметры-Запрет редактирования и удаления Накладной по Ремонту с устновленной Дата выдачи оборудования 

Activities

ruslan

2018-04-17 18:02

manager   ~0003573

Last edited: 2018-04-17 18:04

View 3 revisions

Борь, технология редактирования накладных созданных на основании ремонта в текущей версии Склада - ПОЛОМАЛАСЬ, еще раз концепция:
1. Все накладные созданные на основании Ремонта из модуля СЦ редактируются в модуле Склад ТОЛЬКО в "короткой" форме(аналогично оплаченным накладным или накладным из заказа). Редактирование табличной части только через удаление накладной и повторное редактирование Ремонта с резервированием.
Сейчас для накладных по ремонту открывается полная форма.
2. При установленном флаге модуль СЦ-меню [?]-Параметры - Запрет удаления и редактирования накладной по ремонту с установленной датой выдачи оборудования- запретить ТОЛЬКО удаление. После выдачи сообщения Оборудование выдано - открывать короткую форму по п.1.
Сейчас при установленном флаге выдается сообщение Оборудование выдано без возможности редактирования.

barry

2018-04-19 14:42

administrator   ~0003574

stor32.zip

ruslan

2018-04-19 16:44

manager   ~0003577

1. При попытке открыть расходную накладную по ремонту с выданным оборудованием происходит:
- выдача окна Оборудование выдано - 3 раза;
- выдача окна Накладная сформирована из модуля СЦ;
- потом выдается короткая форма для Редактирования;
Можно порядок сделать такой:
- окно Накладная сформирована из модуля СЦ;
- окно Оборудование Выдано - 1 раз
- Короткая форма для редактирования.
2. Для не выданного оборудования (флаг [?]-Параметры - Запрет удаления и редактирования накладной по ремонту с установленной датой выдачи оборудования)- установлен; выдается полная форма.
3. Для документов при снятом флаге [?]-Параметры - Запрет удаления и редактирования накладной по ремонту с установленной датой выдачи оборудования - выдается полная форма

ruslan

2018-05-04 11:36

manager   ~0003675

В части того, что мы обсуждали... переименуй параметр в СЦ-[?]-Параметры - Запрет удаления и редактирования накладной по ремонту с установленной датой выдачи оборудования в Запрет удаления накладной по ремонту с установленной датой выдачи.

barry

2018-05-08 19:01

administrator   ~0003677

stor32.zip

ruslan

2018-05-10 13:22

manager   ~0003678

Теперь при выданном ремонте в СЦ, когда открываешь на редактирование документ Расходная накладная в Складе созданыый по ремонту, появляется ДВА раза окно Оборудование выдано... можно сделать окно чтоб 1 раз появлялось...

barry

2018-05-11 13:41

administrator   ~0003679

stor32.zip

Issue History

Date Modified Username Field Change
2018-04-17 13:18 ruslan New Issue
2018-04-17 13:18 ruslan Status new => assigned
2018-04-17 13:18 ruslan Assigned To => barry
2018-04-17 13:18 ruslan Relationship added related to 0001200
2018-04-17 13:19 ruslan Priority normal => urgent
2018-04-17 18:02 ruslan Note Added: 0003573
2018-04-17 18:04 ruslan Note Edited: 0003573 View Revisions
2018-04-17 18:04 ruslan Note Edited: 0003573 View Revisions
2018-04-19 14:42 barry Note Added: 0003574
2018-04-19 14:42 barry Status assigned => resolved
2018-04-19 14:42 barry Resolution open => fixed
2018-04-19 16:44 ruslan Status resolved => feedback
2018-04-19 16:44 ruslan Resolution fixed => reopened
2018-04-19 16:44 ruslan Note Added: 0003577
2018-05-04 11:36 ruslan Note Added: 0003675
2018-05-04 11:36 ruslan Status feedback => assigned
2018-05-08 19:01 barry Note Added: 0003677
2018-05-10 13:22 ruslan Status assigned => feedback
2018-05-10 13:22 ruslan Note Added: 0003678
2018-05-11 13:41 barry Note Added: 0003679
2018-05-11 14:51 ruslan Status feedback => resolved